# Get Vulnerability Profile

Returns a complete vulnerability profile of a given CVE-ID

Endpoint: GET /api/v2.0/vulnerabilities/{vulnerabilityId}
Version: 2.0
Security: bearer-key

## Path parameters:

  - `vulnerabilityId` (string, required)
    Vulnerability Name in the form of CVE-xxxx-xxx or WS-xxxx-xxx.

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.name` (string)
    Example: "CVE-2021-42392"

  - `retVal.type` (string)
    Enum: "CVE", "WS"

  - `retVal.description` (string)
    Example: "Security vulnerability found in plexus-utils before 3.0.24. XML injection found in XmlWriterUtil.java"

  - `retVal.score` (number)
    Example: 5

  - `retVal.severity` (string)
    Enum: "HIGH", "MEDIUM", "LOW"

  - `retVal.publishDate` (string)

  - `retVal.modifiedDate` (string)

  - `retVal.vulnerabilityScoring` (array)

  - `retVal.vulnerabilityScoring.score` (number)
    Example: 5

  - `retVal.vulnerabilityScoring.severity` (string)
    Enum: "LOW", "HIGH", "MEDIUM"

  - `retVal.vulnerabilityScoring.type` (string)
    Enum: "CVSS_2", "CVSS_3"

  - `retVal.vulnerabilityScoring.scoreMetadataVector` (string)
    Example: "CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"

  - `retVal.vulnerabilityScoring.extraData` (object)

  - `retVal.references` (array)

  - `retVal.references.value` (string)
    Example: "https://github.com/codehaus-plexus/plexus-utils/commit/f933e5e78dc2637e485447ed821fe14904f110de"

  - `retVal.references.source` (string)
    Example: "CERT"

  - `retVal.references.url` (string)
    Example: "https://github.com/codehaus-plexus/plexus-utils/commit/f933e5e78dc2637e485447ed821fe14904f110de"

  - `retVal.references.signature` (boolean)

  - `retVal.references.advisory` (boolean)

  - `retVal.references.patch` (boolean)

  - `retVal.effectiveInfo` (object)

  - `retVal.effectiveInfo.referenceCount` (integer)

  - `retVal.effectiveInfo.shieldValue` (integer)
    RED(15), YELLOW(10), GREY(8), NO_SHIELD(6), GREEN(5)

  - `retVal.threatAssessment` (object)

  - `retVal.threatAssessment.exploitCodeMaturity` (string)
    Enum: "UNPROVEN", "POC_CODE", "FUNCTIONAL", "HIGH", "NOT_DEFINED"

  - `retVal.threatAssessment.epssPercentage` (number)
    Example: 0.8

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


